Subject: large-flowered skullcap

From: [email-masked] (SOWEGA)
Date: 28 May 1995 14:35:05 -0400

I am beginning to work on an endangered species management plan for the
large-flowered skullcap -- Scutellaria montana -- for an Army
installation.  I have just started researching the current literature, but
wanted to know if anyone is actively researching any aspects of the
skullcap life history or management.  Please feel free to e-mail me at
either [email-masked] or [email-masked].  

Gregory W. Lee
Natural Resources Specialist